import { GetTableRowsPayload, ProposalPayload, TopPoolPayload, SlicePayload, VotePayload, RewardPayload, WhiteListPayload } from "./../interfaces";
export declare class ChainApi {
    readonly nodeos_url: string;
    readonly contract: string;
    readonly fetch: any;
    constructor(nodeos_url: string, contract: string, fetch: any);
    getTableRows(payload: GetTableRowsPayload): Promise<any>;
    getProposalByID(opts: ProposalPayload): Promise<any>;
    getProposalByContract(opts: ProposalPayload): Promise<any>;
    getReward(opts: RewardPayload): Promise<any>;
    getSlice(opts: SlicePayload): Promise<any>;
    getTopPool(opts: TopPoolPayload): Promise<any>;
    getVote(opts: VotePayload): Promise<any>;
    getContractWhiteList(opts: WhiteListPayload): Promise<any>;
}
